#pragma once

// Elipsoida na potrzeby wykrywania kolizji.
class CCollisionEllipsoid {
public:

	vec3 r; // Promienie elipsoidy (trzy; po jednym dla każdej osi)
	vec3 rInv; // Odwrotności promieni, przydatne podczas przechodzenia do przestrzeni gdzie elipsa staje się kulą o r=1.
	
	// Konstruktor, należy podać promienie.
	CCollisionEllipsoid(float rx, float ry, float rz) {
		SetRadii(rx, ry, rz);
	}

	// Zmień wartości promieni - od razu oblicza też odwrotności.
	void SetRadii(float rx, float ry, float rz) {
		r.Set(rx, ry, rz);
		rInv.Set(1.0f / rx, 1.0f / ry, 1.0f / rz);
	}

};
